apache-commons-validator-1.5.0-2.1.noarch.rpm


Advertisement

Description

apache-commons-validator - Apache Commons Validator

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename apache-commons-validator-1.5.0-2.1.noarch.rpm
Package name apache-commons-validator
Package version 1.5.0
Package release 2.1
Package architecture noarch
Package type rpm
Category Development/Libraries/Java
Homepage http://commons.apache.org/commons/
License Apache-2.0
Maintainer -
Download size 180.59 KB
Installed size 203.90 KB
A common issue when receiving data either electronically or from user
input is verifying the integrity of the data. This work is repetitive
and becomes even more complicated when different sets of validation
rules need to be applied to the same set of data based, for example, on
locale. Error messages may also vary by locale. This package attempts
to address some of these issues and speed development and maintenance
of validation rules.

Alternatives

Package Version Architecture Repository
apache-commons-validator-1.5.0-36.2.noarch.rpm 1.5.0 noarch JAVA
apache-commons-validator - - -

Requires

Name Value
commons-beanutils >= 1.5
commons-collections -
commons-digester >= 1.8
commons-logging >= 1.0.2
java-headless -
javapackages-filesystem -
oro >= 2.0.6

Provides

Name Value
apache-commons-validator = 1.5.0-2.1
commons-validator = 1.5.0-2.1
jakarta-commons-validator = 1.5.0-2.1
mvn(commons-validator:commons-validator) = 1.5.0
mvn(commons-validator:commons-validator:pom:) = 1.5.0
mvn(org.apache.commons:commons-validator) = 1.5.0
mvn(org.apache.commons:commons-validator:pom:) = 1.5.0

Obsoletes

Name Value
commons-validator < 1.5.0-2.1
jakarta-commons-validator < 1.5.0-2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package apache-commons-validator-1.5.0-2.1.noarch.rpm
Source Package apache-commons-validator-1.5.0-2.1.src.rpm

Install Howto

Install apache-commons-validator rpm package:

# zypper install apache-commons-validator

Files

Path
/usr/share/doc/packages/apache-commons-validator/NOTICE.txt
/usr/share/doc/packages/apache-commons-validator/RELEASE-NOTES.txt
/usr/share/java/apache-commons-validator.jar
/usr/share/java/commons-validator.jar
/usr/share/licenses/apache-commons-validator/LICENSE.txt
/usr/share/maven-metadata/apache-commons-validator.xml
/usr/share/maven-poms/apache-commons-validator.pom

Changelog

2019-03-25 - Fridrich Strba <fstrba@suse.com>
- Remove pom parent, since we don't use it when not building with
maven
- Remove special conditions for suse_version 1110
2018-12-21 - Fridrich Strba <fstrba@suse.com>
- Build against commons-digester >= 1.8
- Removed patch:
* commons-validator-1.5.0-digester.patch
+ building against commons-digester >= 1.8, this patch is
superfluous
2018-12-21 - Fridrich Strba <fstrba@suse.com>
- Update to 1.5.0
- Install the maven pom file
- Removed patch:
* commons-validator-1.3.1-crosslink.patch
+ not needed
- Added patch:
* commons-validator-1.5.0-digester.patch
+ fix build with older versions of commons-digester
- Modified patches:
* commons-validator-1.3.1-srcencoding.patch ->
commons-validator-1.5.0-srcencoding.patch
+ specify encoding utf-8 for javac and javadoc invocation
instead of escaping characters
* commons-validator-1.3.1-locale.patch ->
commons-validator-1.5.0-locale.patch
+ Adapt the patch to the 1.5.0 context
+ Add the sysproperty to the junit task
2018-05-15 - fstrba@suse.com
- Build with source and target 8 to prepare for a possible removal
of 1.6 compatibility
2017-10-09 - fstrba@suse.com
- Fix build and running of junit tests with Java 9+
- Added patch:
* commons-validator-1.3.1-locale.patch
+ Made two different test.routines target, one with java <= 1.8
and one with java 9+, since the locale providers changed
between java 1.8 and 9. Moreover, the options that Java 9
needs to run in compatibility mode break build with lower
versions of Java.
2017-09-14 - fstrba@suse.com
- Build with java source and target 1.6
- Use java-devel < 1.9 because with jdk9, some unit tests fail
- Clean spec file
2014-07-08 - tchvatal@suse.com
- Cleanup with spec-cleaner and fix build on Factory.
2014-04-14 - darin@darins.net
- add requirements for SLES
2012-06-15 - mvyskocil@suse.cz
- update to 1.3.1
- rename to apache-commons-validator
2006-09-25 - skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5

See Also

Package Description
apache-commons-validator-javadoc-1.5.0-2.1.noarch.rpm Javadoc for jakarta-commons-validator
apache-commons-vfs2-2.2-1.1.noarch.rpm Commons Virtual File System
apache-commons-vfs2-ant-2.2-1.1.noarch.rpm Development files for Commons VFS
apache-commons-vfs2-examples-2.2-1.1.noarch.rpm Commons VFS Examples
apache-commons-vfs2-javadoc-2.2-1.1.noarch.rpm Javadoc for apache-commons-vfs2
apache-ivy-2.4.0-3.1.noarch.rpm Java-based dependency manager
apache-ivy-javadoc-2.4.0-3.1.noarch.rpm API Documentation for ivy
apache-parent-21-1.2.noarch.rpm Parent POM file for Apache projects
apache-pdfbox-1.8.16-1.3.noarch.rpm Java PDF Library
apache-pdfbox-javadoc-1.8.16-1.3.noarch.rpm API Documentation for PDFBox
apache-portlet-1_0-api-1.0-113.2.noarch.rpm Portlet API 1.0 from Jetspeed2
apache-portlet-1_0-api-javadoc-1.0-113.2.noarch.rpm Portlet API 1.0 from Jetspeed2
apache-rex-20190208-1.1.noarch.rpm Script for Apache HTTPD Runnable Examples
apache-rpm-macros-20160120-1.9.i586.rpm Apache RPM Macros
apache-rpm-macros-20160120-1.9.x86_64.rpm Apache RPM Macros
Advertisement
Advertisement